<FlexboxLayout class="page">
    <StackLayout class="form">  
        <PreviousNextView>
            <GridLayout rows="auto, auto, auto">
                <StackLayout row="0" class="input-field" visibility="{{ isLoggingIn ?  'collapsed' :'visible'}}">
                    <TextField 
                        class="input" 
                        color="black"
                        hint="Nombre" 
                        [isEnabled]="!processing" 
                        autocorrect="false"
                        autocapitalizationType="none" 
                        [(ngModel)]="user.username"
                        [returnKeyType]="isLoggingIn ? 'done' : 'next'"
                        returnKeyType="next" 
                        (returnPress)="focusEmail()">
                    </TextField>
                    <StackLayout class="hr-light"></StackLayout>
                </StackLayout>

                <StackLayout row="1" class="input-field">
                    <TextField 
                        #email 
                        class="input" 
                        color="black"
                        hint="Email" 
                        [isEnabled]="!processing"
                        keyboardType="email" 
                        autocorrect="false"
                        autocapitalizationType="none" 
                        [(ngModel)]="user.email"
                        returnKeyType="next" 
                        (returnPress)="focusPassword()">
                    </TextField>
                    <StackLayout class="hr-light"></StackLayout>
                </StackLayout>
               

                <StackLayout row="2" class="input-field">
                    <TextField 
                        #password 
                        color="black"
                        class="input" 
                        [isEnabled]="!processing"
                        hint="Password" 
                        secure="true" 
                        [(ngModel)]="user.password"
                        [returnKeyType]="isLoggingIn ? 'done' : 'next'"
                        (returnPress)="focusConfirmPassword()">
                    </TextField>
                    <StackLayout class="hr-light"></StackLayout>
                </StackLayout> 

                <ActivityIndicator rowSpan="3" [busy]="processing"></ActivityIndicator>
            </GridLayout>
        </PreviousNextView>

        <Button [text]="isLoggingIn ? 'Iniciar Sesion' : 'Registrarse'" [isEnabled]="!processing"
            (tap)="submit()" class="btn btn-primary m-t-20"></Button>
        <Label  [text]="isLoggingIn ? 'Registrarse' : 'Iniciar sesion'" 
                style="text-align: center; font-size: 16dp;"
                (tap)="toggleForm()" >
        </Label>
         
    </StackLayout>
 
</FlexboxLayout>